# This file created by conda-build 2.1.18
# meta.yaml template originally from:
# C:\projects\r-rsvd-feedstock\recipe, last modified Mon Dec 18 02:50:18 2017
# ------------------------------------------------

package:
    name: r-rsvd
    version: '0.9'
source:
    fn: rsvd_0.9.tar.gz
    sha256: c91f0abd50f5b8008a99b2f3bd046b1ca91dc0d0de9714b0d2fcbe2332f1e1b4
    url:
        - https://cran.r-project.org/src/contrib/rsvd_0.9.tar.gz
        - https://cran.r-project.org/src/contrib/Archive/rsvd/rsvd_0.9.tar.gz
build:
    noarch: ''
    noarch_python: false
    number: '0'
    rpaths:
        - lib/R/lib/
        - lib/
    string: r3.4.1_0
requirements:
    build:
        - m2w64-mpfr 3.1.4 4
        - r-scales 0.4.1 r3.4.1_0
        - msys2-conda-epoch 20160418 1
        - r-rcolorbrewer 1.1_2 r3.4.1_0
        - r-stringi 1.1.5 r3.4.1_0
        - r-rlang 0.1.2 r3.4.1_0
        - r-lazyeval 0.2.0 r3.4.1_0
        - m2w64-libtiff 4.0.6 2
        - r-munsell 0.4.3 r3.4.1_0
        - m2w64-xz 5.2.2 2
        - r-colorspace 1.3_2 r3.4.1_0
        - r-dichromat 2.0_0 r3.4.1_0
        - m2w64-bzip2 1.0.6 6
        - m2w64-tcl 8.6.5 3
        - r-reshape2 1.4.2 r3.4.1_0
        - r-mass 7.3_45 r3.4.1_0
        - m2w64-libiconv 1.14 6
        - r-digest 0.6.12 r3.4.1_0
        - m2w64-tk 8.6.5 3
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-flac 1.3.1 3
        - r-base 3.4.1 1
        - r-labeling 0.3 r3.4.1_0
        - m2w64-bwidget 1.9.10 2
        - m2w64-zlib 1.2.8 10
        - m2w64-gcc-libs 5.3.0 7
        - r-plyr 1.8.4 r3.4.1_0
        - r-gtable 0.2.0 r3.4.1_0
        - m2w64-gsl 2.1 2
        - r-ggplot2 2.2.1 r3.4.1_0
        - m2w64-libxml2 2.9.3 4
        - r-stringr 1.2.0 r3.4.1_0
        - r-tibble 1.3.3 r3.4.1_0
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-expat 2.1.1 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-wineditline 2.101 5
        - m2w64-speexdsp 1.2rc3 3
        - m2w64-libogg 1.3.2 3
        - m2w64-speex 1.2rc2 3
        - m2w64-libsndfile 1.0.26 2
        - m2w64-libvorbis 1.3.5 2
        - m2w64-fftw 3.3.4 6
        - r-rcpp 0.12.13 r3.4.1_0
        - m2w64-tktable 2.10 5
        - m2w64-gettext 0.19.7 2
        - m2w64-gmp 6.1.0 2
        - m2w64-libjpeg-turbo 1.4.2 3
        - m2w64-pcre 8.38 2
        - m2w64-libpng 1.6.21 2
        - r-magrittr 1.5 r3.4.1_0
    run:
        - r-base
        - r-ggplot2
test:
    commands:
        - '"%R%" -e "library(''rsvd'')"'
about:
    home: https://github.com/erichson/rSVD
    license: GPL (>= 2)
    license_family: GPL3
    license_file: C:\bld\r-rsvd_1513565549773\_b_env\R\share\licenses\GPL-3
    summary: Low-rank matrix decompositions are fundamental tools and widely used
        for data analysis, dimension reduction, and data compression. Classically,
        highly accurate  deterministic matrix algorithms are used for this task. However,
        the emergence of  large-scale data has severely challenged our computational
        ability to analyze big data.  The concept of randomness has been demonstrated
        as an effective strategy to quickly produce approximate answers to familiar
        problems such as the singular value decomposition (SVD).  The rsvd package
        provides several randomized matrix algorithms such as the randomized  singular
        value decomposition (rsvd), randomized principal component analysis (rpca),  randomized
        robust principal component analysis (rrpca), randomized interpolative  decomposition
        (rid), and the randomized CUR decomposition (rcur). In addition several plot  functions
        are provided.
extra:
    final: true
    recipe-maintainers:
        - johanneskoester
        - bgruening
        - daler
        - jdblischak
